Bug 1949514 - URL is not visible for routes at narrow screen widths
Summary: URL is not visible for routes at narrow screen widths
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Robb Hamilton
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-14 13:17 UTC by Samuel Padgett
Modified: 2021-07-27 23:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: In the Routes list view, the Status column stayed visible at smaller screen widths instead of the Location column as Status is typically the second-most important column. Consequence: In the case of Routes, Location is actually more important than Status, but it is not visible at smaller screen widths. Fix: Instead of displaying Status at smaller screen widths, show Location instead. Result: Location column is now visible at smaller screen widths instead of Status.
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-04-09-222447 Cluster ID: bda18edc-fb24-4b31-ade3-b48c754a1209 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:87.0) Gecko/20100101 Firefox/87.0
Last Closed: 2021-07-27 23:00:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
ScreenShot showing the location details (190.25 KB, image/png)
2021-04-19 14:35 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8658 0 None open Bug 1949514: make Location column visible at smaller screen resolutions 2021-04-14 17:44:24 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:47 UTC

Description Samuel Padgett 2021-04-14 13:17:04 UTC
Right now, when looking at the route list in a namespace, we show only the route name and the status on smaller screens. The URL is more important than the status and needs to be frequently accessed. We should either show the URL as the second column, or perhaps add an action that allows the user to visit the URL. I think probably showing the URL in the table is better since the action is less discoverable.

Moved to Bugzilla from story https://issues.redhat.com/browse/CONSOLE-2801

Comment 2 Siva Reddy 2021-04-19 14:35:20 UTC
Created attachment 1773303 [details]
ScreenShot showing the location details


Now at half screen width the location is visible

Version:
 4.8.0-0.nightly-2021-04-18-101412

Comment 5 errata-xmlrpc 2021-07-27 23:00:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.